itpp::Slot< ObjectType, DataType > Class Template Reference
Protocols Module

Slot Class. More...

`#include <itpp/protocol/signals_slots.h>`

Inheritance diagram for itpp::Slot< ObjectType, DataType >:

## Public Member Functions

| Slot (const std::string _name="Unamed Slot")
| Default constructor.
void | forward (ObjectType *object_pointer, void(ObjectType::*object_function_pointer)(DataType u))
| ADD DOCUMENTATION HERE.
| ~Slot ()
| Destructor.
void | operator() (DataType u)
| ADD DOCUMENTATION HERE.
void | set_name (const std::string &slot_name)
| set slot name

## Protected Types

typedef std::list< Signal< DataType > *, std::allocator< Signal< DataType > * > >::iterator | Signal_Iterator
| ADD DOCUMENTATION HERE.

## Protected Member Functions

void | _connect (Signal< DataType > *signal)
| ADD DOCUMENTATION HERE.
void | _disconnect (Signal< DataType > *signal)
| ADD DOCUMENTATION HERE.

## Protected Attributes

std::string | name
| ADD DOCUMENTATION HERE.
std::list< Signal< DataType > *, std::allocator< Signal< DataType > * > > | connected_signals
| ADD DOCUMENTATION HERE.

## Detailed Description

### template<class ObjectType, class DataType>
class itpp::Slot< ObjectType, DataType >

Slot Class.

Definition at line 57 of file signals_slots.h.

The documentation for this class was generated from the following file:

- itpp/protocol/signals_slots.h

Generated on Thu Aug 20 2015 21:02:54 for IT++ by Doxygen 1.8.9.1